#define SUPPORT_ABERDEEN
inline void IO_InitAberdeen(void)
{
	gotype_current.id                 = GOTYPE_ABERDEEN;
	gotype_current.name               = "TomTom ONE";
	gotype_current.usbname            = "ONE (v2)";
	gotype_current.familyname         = "TomTom ONE";
	gotype_current.projectname        = "ABERDEEN";
	gotype_current.btname             = gotype_current.name;
	gotype_current.requiredbootloader = "4.00";
	gotype_current.cputype            = GOCPU_S3C2440;
	gotype_current.linuxfreq          = 376800000;
	gotype_current.bootloaderfreq     = 288000000;

	gotype_current.bluetooth          = 1;
	gotype_current.btchip             = GOBT_BC3;
	gotype_current.btusb              = 0;
	gotype_current.btspeed            = 921600;
	gotype_current.btclock            = 26000000;
	gotype_current.btclass            = 0x001f00;
	gotype_current.handsfree          = 0;
	gotype_current.headsetgw          = 0;
	gotype_current.a2dp               = 0;

	gotype_current.lowbutton          = 1;
	gotype_current.battery            = 1;
	gotype_current.sdcard             = 1;
	gotype_current.tfttype            = GOTFT_SAMSUNG_LTV350;
	gotype_current.touchscreen        = 1;
	gotype_current.tsxchannel         = 5;
	gotype_current.tsychannel         = 7;
	gotype_current.gpstype            = GOGPS_SIRF3;
	gotype_current.gpsephemeris       = 0;
	gotype_current.headphoneconnector = 1;
	gotype_current.speaker            = 1;
	gotype_current.codectype          = GOCODEC_WM8711;
	gotype_current.usbslavetype       = GOUSB_S3C24XX;
	gotype_current.usbproductid       = 0x0001;
	gotype_current.usbbuspowered      = 0; /* place R408 for USB charge function */
	gotype_current.memsize            = 32;
	gotype_current.ohciports          = 0x01;
	gotype_current.tftsoftstart       = 1;

	// Mainboard
	gotype_current.pins.SD_PWR_ON       = PIN_GPA17;
	gotype_current.pins.SDCLK           = PIN_GPE5;
	gotype_current.pins.SDCMD           = PIN_GPE6;
	gotype_current.pins.SDDATA0         = PIN_GPE7;
	gotype_current.pins.SDDATA1         = PIN_GPE8;
	gotype_current.pins.SDDATA2         = PIN_GPE9;
	gotype_current.pins.SDDATA3         = PIN_GPE10;
	gotype_current.pins.WP_SD           = PIN_GPH8;
	gotype_current.pins.CD_SD           = PIN_GPF2 | PIN_INVERTED;
	gotype_current.pins.GPS_RESET       = PIN_GPC5 | PIN_INVERTED;
	gotype_current.pins.GPS_ON          = PIN_GPJ6;
	gotype_current.pins.GPS_1PPS        = PIN_GPG0;
	gotype_current.pins.GPS_REPRO       = PIN_GPG1;
	gotype_current.pins.BATT_TEMP_OVER  = PIN_GPJ1 | PIN_INVERTED;
	gotype_current.pins.CHARGE_OUT      = PIN_GPJ7 | PIN_OPEN_EMITTER;
	gotype_current.pins.CHARGING        = PIN_GPJ12;
	gotype_current.pins.PWR_RST         = PIN_GPJ4; // | PIN_OPEN_COLLECTOR; // ; // |
	gotype_current.pins.AIN4_PWR        = PIN_GPA18;
	gotype_current.pins.DAC_PWR_ON      = PIN_GPA22;
	gotype_current.pins.I2SSDO          = PIN_GPE4; 
	gotype_current.pins.CDCLK           = PIN_GPE2; 
	gotype_current.pins.I2SSCLK         = PIN_GPE1; 
	gotype_current.pins.I2SLRCK         = PIN_GPE0; 
	gotype_current.pins.I2SSDI          = PIN_GPE3; 
	gotype_current.pins.L3CLOCK         = PIN_GPB4; 
	gotype_current.pins.L3MODE          = PIN_GPB3; 
	gotype_current.pins.L3DATA          = PIN_GPB2; 
	gotype_current.pins.CTS_DOCK        = PIN_GPH0;
	gotype_current.pins.RTS_DOCK        = PIN_GPH1;
	gotype_current.pins.TXD_DOCK        = PIN_GPH2;
	gotype_current.pins.RXD_DOCK        = PIN_GPH3;
	gotype_current.pins.TXD_GPS         = PIN_GPH6;
	gotype_current.pins.RXD_GPS         = PIN_GPH7;
	gotype_current.pins.TXD_BT          = PIN_GPH4;
	gotype_current.pins.RXD_BT          = PIN_GPH5;
	gotype_current.pins.RTS_BT          = PIN_GPG9;
	gotype_current.pins.CTS_BT          = PIN_GPG10;
	gotype_current.pins.VD0             = PIN_GPC8;
	gotype_current.pins.VD1             = PIN_GPC9;
	gotype_current.pins.VD2             = PIN_GPC10;
	gotype_current.pins.VD3             = PIN_GPC11;
	gotype_current.pins.VD4             = PIN_GPC12;
	gotype_current.pins.VD5             = PIN_GPC13;
	gotype_current.pins.VD6             = PIN_GPC14;
	gotype_current.pins.VD7             = PIN_GPC15;
	gotype_current.pins.VD8             = PIN_GPD0;
	gotype_current.pins.VD9             = PIN_GPD1;
	gotype_current.pins.VD10            = PIN_GPD2;
	gotype_current.pins.VD11            = PIN_GPD3;
	gotype_current.pins.VD12            = PIN_GPD4;
	gotype_current.pins.VD13            = PIN_GPD5;
	gotype_current.pins.VD14            = PIN_GPD6;
	gotype_current.pins.VD15            = PIN_GPD7;
	gotype_current.pins.VD16            = PIN_GPD8;
	gotype_current.pins.VD17            = PIN_GPD9;
	gotype_current.pins.VD18            = PIN_GPD10;
	gotype_current.pins.VD19            = PIN_GPD11;
	gotype_current.pins.VD20            = PIN_GPD12;
	gotype_current.pins.VD21            = PIN_GPD13;
	gotype_current.pins.VD22            = PIN_GPD14;
	gotype_current.pins.VD23            = PIN_GPD15;
	gotype_current.pins.VDEN            = PIN_GPC4;
	gotype_current.pins.VCLK            = PIN_GPC1;
	gotype_current.pins.VSYNC           = PIN_GPC3;
	gotype_current.pins.HSYNC           = PIN_GPC2;
	gotype_current.pins.LCD_VCC_PWREN   = PIN_GPG4 | PIN_INVERTED;
	gotype_current.pins.LCD_BIAS_PWREN  = PIN_GPC7;
	gotype_current.pins.BACKLIGHT_EN    = PIN_GPB1 | PIN_INVERTED;
	gotype_current.pins.BACKLIGHT_PWM   = PIN_GPB0;
	gotype_current.pins.LCD_CS          = PIN_GPG3 | PIN_INVERTED;
	gotype_current.pins.LCD_SCL         = PIN_GPG7;
	gotype_current.pins.LCD_SDI         = PIN_GPG6;
	gotype_current.pins.LCD_RESET       = PIN_GPJ0 | PIN_INVERTED;
	gotype_current.pins.USB_HOST_DETECT = PIN_GPF1 | PIN_INVERTED;
	gotype_current.pins.USB_PULL_EN     = PIN_GPF7 | PIN_INVERTED;
	gotype_current.pins.USB_SUSPEND_OUT = PIN_GPE12;
	gotype_current.pins.USB_HP          = PIN_GPE11;
	gotype_current.pins.ON_OFF          = PIN_GPF0 | PIN_INVERTED;
	gotype_current.pins.ACPWR           = PIN_GPJ11 | PIN_INVERTED;
	gotype_current.pins.XMON            = PIN_GPG13 | PIN_OPEN_COLLECTOR;
	gotype_current.pins.XPON            = PIN_GPG12 | PIN_OPEN_EMITTER;
	gotype_current.pins.YMON            = PIN_GPG15 | PIN_OPEN_COLLECTOR;
	gotype_current.pins.YPON            = PIN_GPG14 | PIN_OPEN_EMITTER;
	gotype_current.pins.TSDOWN          = PIN_GPG15 | PIN_OPEN_COLLECTOR;
	gotype_current.pins.UNUSED_SDA      = PIN_GPE15;
	gotype_current.pins.UNUSED_SCL      = PIN_GPE14;

	// Powerboard
	gotype_current.pins.IGNITION         = PIN_GPF3 | PIN_INVERTED; // DOCK_GP1 is used as IGNITION
	gotype_current.pins.HEADPHONE_DETECT = PIN_GPF5;                // DOCK_GP3 is used as HEADPHONE_DETECT
	gotype_current.pins.AMP_ON           = PIN_GPF6;                // DOCK_GP4 is used as AMP_ON
}
