#define SUPPORT_GLASGOW
inline void IO_InitGlasgow(void)
{
	gotype_current.id                 = GOTYPE_GLASGOW;
	gotype_current.name               = "TomTom ONE";
	gotype_current.usbname            = "ONE";
	gotype_current.familyname         = "TomTom ONE";
	gotype_current.projectname        = "GLASGOW";
	gotype_current.btname             = gotype_current.name;
	gotype_current.requiredbootloader = "3.30";
	gotype_current.cputype            = GOCPU_S3C2440;
	gotype_current.linuxfreq          = 376800000;
	gotype_current.bootloaderfreq     = 288000000;

	gotype_current.bluetooth          = 1;
	gotype_current.chargertype        = GOCHARGER_LTC1733;
	gotype_current.btchip             = GOBT_BC3;
	gotype_current.btusb              = 0;
	gotype_current.btspeed            = 921600;
	gotype_current.btclock            = 16000000;
	gotype_current.btclass            = 0x001f00;
	gotype_current.handsfree          = 0;
	gotype_current.headsetgw          = 0;
	gotype_current.a2dp               = 0;

	gotype_current.lowbutton          = 1;
	gotype_current.battery            = 1;
	gotype_current.sdcard             = 1;
	gotype_current.tfttype            = GOTFT_SAMSUNG_LTV350;
	gotype_current.touchscreen        = 1;
	gotype_current.tsxchannel         = 5;
	gotype_current.tsychannel         = 7;
	gotype_current.gpstype            = GOGPS_SIRF3;
	gotype_current.gpsephemeris       = 0;
	gotype_current.headphoneconnector = 1;
	gotype_current.speaker            = 1;
	gotype_current.codectype          = GOCODEC_WM8971;
	gotype_current.usbslavetype       = GOUSB_S3C24XX;
	gotype_current.usbproductid       = 0x0001;
	gotype_current.memsize            = 32;
	gotype_current.ohciports          = 0x01;

	IO_InitAtlanta();
	
	// Pins that are only applicable for Glasgow
	gotype_current.pins.IGNITION         = PIN_GPF3 | PIN_INVERTED; // DOCK_GP1 is used as IGNITION
	gotype_current.pins.HEADPHONE_DETECT = PIN_GPF5;                // DOCK_GP3 is used as HEADPHONE_DETECT
	gotype_current.pins.AMP_ON           = PIN_GPF6;                // DOCK_GP4 is used as AMP_ON
}
