/*
 */

#ifndef _S3C2410_UDC_H
#define _S3C2410_UDC_H

#define __raw_maskl(v,m,a)	\
	__raw_writel((__raw_readl(a) & ~(m))|((v)&(m)), (a))

#define clear_ep0_sst do { \
    	S3C2410_UDC_SETIX(EP0); \
	__raw_writel(0x00, S3C2410_UDC_IN_CSR1_REG); \
} while(0)

#define clear_ep0_se do { \
    	S3C2410_UDC_SETIX(EP0); \
	__raw_maskl(S3C2410_UDC_EP0_CSR_SSE, 0xC0, S3C2410_UDC_IN_CSR1_REG); \
} while(0)

#define clear_ep0_opr do { \
   	S3C2410_UDC_SETIX(EP0); \
	__raw_maskl(S3C2410_UDC_EP0_CSR_SOPKTRDY, 0xC0, S3C2410_UDC_IN_CSR1_REG); \
} while(0)

#define set_ep0_ipr do { \
   	S3C2410_UDC_SETIX(EP0); \
	__raw_maskl(S3C2410_UDC_EP0_CSR_IPKRDY, 0xC0, S3C2410_UDC_IN_CSR1_REG); \
} while(0)

#define set_ep0_de do { \
   	S3C2410_UDC_SETIX(EP0); \
	/* __raw_maskl(S3C2410_UDC_EP0_CSR_DE, 0xC0, S3C2410_UDC_IN_CSR1_REG); */ \
	__raw_writel(S3C2410_UDC_EP0_CSR_DE, S3C2410_UDC_IN_CSR1_REG); \
} while(0)

#define set_ep0_ss do { \
   	S3C2410_UDC_SETIX(EP0); \
	/* __raw_maskl(S3C2410_UDC_EP0_CSR_SENDSTL, 0xC0, S3C2410_UDC_IN_CSR1_REG); */ \
	__raw_writel(S3C2410_UDC_EP0_CSR_SENDSTL, S3C2410_UDC_IN_CSR1_REG);\
} while(0)

#define set_ep0_de_out do { \
   	S3C2410_UDC_SETIX(EP0); \
	__raw_maskl((S3C2410_UDC_EP0_CSR_SOPKTRDY | S3C2410_UDC_EP0_CSR_DE), \
		0xC0, S3C2410_UDC_IN_CSR1_REG); \
} while(0)

#define set_ep0_de_in do { \
   	S3C2410_UDC_SETIX(EP0); \
	__raw_maskl((S3C2410_UDC_EP0_CSR_IPKRDY | S3C2410_UDC_EP0_CSR_DE), \
		0xC0, S3C2410_UDC_IN_CSR1_REG); \
} while(0)

#define clear_stall_ep1_out do { \
   	S3C2410_UDC_SETIX(EP1); \
	__raw_orl(0, S3C2410_UDC_OUT_CSR1_REG); \
} while(0)


#define clear_stall_ep2_out do { \
   	S3C2410_UDC_SETIX(EP2); \
	__raw_orl(0, S3C2410_UDC_OUT_CSR1_REG); \
} while(0)


#define clear_stall_ep3_out do { \
   	S3C2410_UDC_SETIX(EP3); \
	__raw_orl(0, S3C2410_UDC_OUT_CSR1_REG); \
} while(0)

#define clear_stall_ep4_out do { \
   	S3C2410_UDC_SETIX(EP4); \
	__raw_orl(0, S3C2410_UDC_OUT_CSR1_REG); \
} while(0)


#define S3C2410_MAX_ENDPOINTS 5
#define EP0_PACKETSIZE 8
#define FIFO_SIZE	64

struct s3c2410_udc;

struct s3c2410_ep {
	struct list_head		queue;
	unsigned long				last_io;	/* jiffies timestamp */
	struct usb_gadget		*gadget;
	struct s3c2410_udc	*dev;
	const struct usb_endpoint_descriptor *desc;
	struct usb_ep				ep;

	unsigned short			fifo_size;
	u8									bEndpointAddress;
	u8									bmAttributes;

	unsigned						halted : 1;
	unsigned						already_seen : 1;
	unsigned						setup_stage : 1;
};

struct s3c2410_request {
	struct list_head		queue;		/* ep's requests */
	struct usb_request		req;
};

struct s3c2410_udc {
	struct usb_gadget gadget;
	struct usb_gadget_driver *driver;
	struct device *dev;
	spinlock_t lock;
	struct s3c2410_request		fifo_req;
	u8 fifo_buf[FIFO_SIZE];

	u16	devstatus;
	int ep0state;
	struct s3c2410_ep ep[S3C2410_MAX_ENDPOINTS];

	unsigned char usb_address;

	unsigned req_pending:1, req_std:1, req_config:1;
};

extern struct s3c2410_udc *the_controller;

#define ep_is_in(EP) 		(((EP)->bEndpointAddress&USB_DIR_IN)==USB_DIR_IN)
#define ep_index(EP) 		((EP)->bEndpointAddress&0xF)
#define ep_maxpacket(EP) 	((EP)->ep.maxpacket)

#endif


