/* linux/include/asm/arch-s3c2410/regs-irq.h
 *
 * Copyright (c) 2003 Simtec Electronics <linux@simtec.co.uk>
 *		      http://www.simtec.co.uk/products/SWLINUX/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 *
 *
 *  Changelog:
 *    19-06-2003     BJD     Created file
 *    12-03-2004     BJD     Updated include protection
 *    10-03-2005     LCVR    Changed S3C2410_VA to S3C24XX_VA
 *    17-02-2006     KM      Added S3C2412/S3C2413 defines
 */


#ifndef ___ASM_ARCH_REGS_IRQ_H
#define ___ASM_ARCH_REGS_IRQ_H "$Id: irq.h,v 1.3 2003/03/25 21:29:06 ben Exp $"

/* interrupt controller */

#define S3C2410_IRQREG(x)   ((x) + S3C24XX_VA_IRQ)
#define S3C2410_EINTREG(x)  ((x) + S3C24XX_VA_GPIO)

#define S3C2410_SRCPND_ADC       (1<<31)
#define S3C2410_SRCPND_RTC       (1<<30)
#define S3C2410_SRCPND_SPI1      (1<<29)
#define S3C2410_SRCPND_UART0     (1<<28)
#define S3C2410_SRCPND_IIC       (1<<27)
#define S3C2410_SRCPND_USBH      (1<<26)
#define S3C2410_SRCPND_USBD      (1<<25)
#define S3C2410_SRCPND_NFCON     (1<<24)
#define S3C2410_SRCPND_UART1     (1<<23)
#define S3C2410_SRCPND_SPI0      (1<<22)
#define S3C2410_SRCPND_SDI       (1<<21)
#define S3C2410_SRCPND_DMA3      (1<<20)
#define S3C2410_SRCPND_DMA2      (1<<19)
#define S3C2410_SRCPND_DMA1      (1<<18)
#define S3C2410_SRCPND_DMA0      (1<<17)
#define S3C2410_SRCPND_LCD       (1<<16)
#define S3C2410_SRCPND_UART2     (1<<15)
#define S3C2410_SRCPND_TIMER4    (1<<14)
#define S3C2410_SRCPND_TIMER3    (1<<13)
#define S3C2410_SRCPND_TIMER2    (1<<12)
#define S3C2410_SRCPND_TIMER1    (1<<11)
#define S3C2410_SRCPND_TIMER0    (1<<10)
#define S3C2410_SRCPND_WDT_AC97  (1<<9)
#define S3C2410_SRCPND_TICK      (1<<8)
#define S3C2410_SRCPND_NBATT_FLT (1<<7)
#define S3C2410_SRCPND_INT_CAM   (1<<6)
#define S3C2410_SRCPND_EINT8_23  (1<<5)
#define S3C2410_SRCPND_EINT4_7   (1<<4)
#define S3C2410_SRCPND_EINT3     (1<<3)
#define S3C2410_SRCPND_EINT2     (1<<2)
#define S3C2410_SRCPND_EINT1     (1<<1)
#define S3C2410_SRCPND_EINT0     (1<<0)

#define S3C2410_SRCPND	       S3C2410_IRQREG(0x000)
#define S3C2410_INTMOD	       S3C2410_IRQREG(0x004)
#define S3C2410_INTMSK	       S3C2410_IRQREG(0x008)
#define S3C2410_PRIORITY       S3C2410_IRQREG(0x00C)
#define S3C2410_INTPND	       S3C2410_IRQREG(0x010)
#define S3C2410_INTOFFSET      S3C2410_IRQREG(0x014)
#define S3C2410_SUBSRCPND      S3C2410_IRQREG(0x018)
#define S3C2410_INTSUBMSK      S3C2410_IRQREG(0x01C)

/* mask: 0=enable, 1=disable
 * 1 bit EINT, 4=EINT4, 23=EINT23
 * EINT0,1,2,3 are not handled here.
*/

#define S3C2410_EINTMASK       S3C2410_EINTREG(0x0A4)
#define S3C2410_EINTPEND       S3C2410_EINTREG(0X0A8)

#ifdef CONFIG_CPU_S3C2412

#define S3C2412_EINTMASK       S3C2410_EINTREG(0x0B4)
#define S3C2412_EINTPEND       S3C2410_EINTREG(0X0B8)

#endif /* CONFIG_CPU_S3C2412 */

#endif /* ___ASM_ARCH_REGS_IRQ_H */
